%define majver %(echo %version | cut -d. -f1-2)

Name:          kblog
Version:       17.12.1
Release:       1mamba
Summary:       KDE Frameworks 5 blog library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.kde.org
Source:        http://download.kde.org/stable/applications/%{version}/src/kblog-%{version}.tar.xz
# Source:        http://download.kde.org/stable/frameworks/%{majver}/...-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libical-devel
BuildRequires: libkauth-devel
BuildRequires: libkbookmarks-devel
BuildRequires: libkcalcore-devel
BuildRequires: libkcodecs-devel
BuildRequires: libkcompletion-devel
BuildRequires: libkconfig-devel
BuildRequires: libkconfigwidgets-devel
BuildRequires: libkcoreaddons-devel
BuildRequires: libkcrash-devel
BuildRequires: libkdelibs4support-devel
BuildRequires: libkguiaddons-devel
BuildRequires: libki18n-devel
BuildRequires: libkiconthemes-devel
BuildRequires: libkio-devel
BuildRequires: libkitemviews-devel
BuildRequires: libkjobwidgets-devel
BuildRequires: libknotifications-devel
BuildRequires: libkparts-devel
BuildRequires: libkservice-devel
BuildRequires: libktextwidgets-devel
BuildRequires: libkunitconversion-devel
BuildRequires: libkwidgetsaddons-devel
BuildRequires: libkwindowsystem-devel
BuildRequires: libkxmlgui-devel
BuildRequires: libkxmlrpcclient-devel
BuildRequires: libqt5-devel
BuildRequires: libsolid-devel
BuildRequires: libsonnet-devel
BuildRequires: libstdc++6-devel
BuildRequires: libsyndication-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: rpm-macros-kde5
BuildRequires: extra-cmake-modules
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
KDE Frameworks 5 blog library.

%package -n lib%{name}
Group:         System/Libraries
Summary:       KDE Frameworks 5 blog library

%description -n lib%{name}
KDE Frameworks 5 blog library.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
%cmake_kde5 -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name}
/sbin/ldconfig
exit 0

%postun -n lib%{name}
/sbin/ldconfig
exit 0

%files -n lib%{name}
%defattr(-,root,root)
%{_kde5_libdir}/libKF5Blog.so.*
%{_datadir}/locale/ar/LC_MESSAGES/libkblog5.mo
%{_datadir}/locale/ast/LC_MESSAGES/libkblog5.mo
%{_datadir}/locale/bs/LC_MESSAGES/libkblog5.mo
%{_datadir}/locale/ca/LC_MESSAGES/libkblog5.mo
%{_datadir}/locale/ca@valencia/LC_MESSAGES/libkblog5.mo
%{_datadir}/locale/cs/LC_MESSAGES/libkblog5.mo
%{_datadir}/locale/da/LC_MESSAGES/libkblog5.mo
%{_datadir}/locale/de/LC_MESSAGES/libkblog5.mo
%{_datadir}/locale/el/LC_MESSAGES/libkblog5.mo
%{_datadir}/locale/en_GB/LC_MESSAGES/libkblog5.mo
%{_datadir}/locale/eo/LC_MESSAGES/libkblog5.mo
%{_datadir}/locale/es/LC_MESSAGES/libkblog5.mo
%{_datadir}/locale/et/LC_MESSAGES/libkblog5.mo
%{_datadir}/locale/fi/LC_MESSAGES/libkblog5.mo
%{_datadir}/locale/fr/LC_MESSAGES/libkblog5.mo
%{_datadir}/locale/ga/LC_MESSAGES/libkblog5.mo
%{_datadir}/locale/gl/LC_MESSAGES/libkblog5.mo
%{_datadir}/locale/hi/LC_MESSAGES/libkblog5.mo
%{_datadir}/locale/hu/LC_MESSAGES/libkblog5.mo
%{_datadir}/locale/ia/LC_MESSAGES/libkblog5.mo
%{_datadir}/locale/it/LC_MESSAGES/libkblog5.mo
%{_datadir}/locale/ja/LC_MESSAGES/libkblog5.mo
%{_datadir}/locale/kk/LC_MESSAGES/libkblog5.mo
%{_datadir}/locale/km/LC_MESSAGES/libkblog5.mo
%{_datadir}/locale/ko/LC_MESSAGES/libkblog5.mo
%{_datadir}/locale/lt/LC_MESSAGES/libkblog5.mo
%{_datadir}/locale/lv/LC_MESSAGES/libkblog5.mo
%{_datadir}/locale/mr/LC_MESSAGES/libkblog5.mo
%{_datadir}/locale/nb/LC_MESSAGES/libkblog5.mo
%{_datadir}/locale/nds/LC_MESSAGES/libkblog5.mo
%{_datadir}/locale/nl/LC_MESSAGES/libkblog5.mo
%{_datadir}/locale/nn/LC_MESSAGES/libkblog5.mo
%{_datadir}/locale/pa/LC_MESSAGES/libkblog5.mo
%{_datadir}/locale/pl/LC_MESSAGES/libkblog5.mo
%{_datadir}/locale/pt/LC_MESSAGES/libkblog5.mo
%{_datadir}/locale/pt_BR/LC_MESSAGES/libkblog5.mo
%{_datadir}/locale/ro/LC_MESSAGES/libkblog5.mo
%{_datadir}/locale/ru/LC_MESSAGES/libkblog5.mo
%{_datadir}/locale/sk/LC_MESSAGES/libkblog5.mo
%{_datadir}/locale/sl/LC_MESSAGES/libkblog5.mo
%{_datadir}/locale/sr/LC_MESSAGES/libkblog5.mo
%{_datadir}/locale/sv/LC_MESSAGES/libkblog5.mo
%{_datadir}/locale/tr/LC_MESSAGES/libkblog5.mo
%{_datadir}/locale/ug/LC_MESSAGES/libkblog5.mo
%{_datadir}/locale/uk/LC_MESSAGES/libkblog5.mo
%{_datadir}/locale/zh_CN/LC_MESSAGES/libkblog5.mo
%{_datadir}/locale/zh_TW/LC_MESSAGES/libkblog5.mo
%doc COPYING.LIB

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_kde5_includedir}/KBlog
%dir %{_kde5_includedir}/KBlog/KBlog
%{_kde5_includedir}/KBlog/KBlog/*
%dir %{_kde5_includedir}/KBlog/kblog
%{_kde5_includedir}/KBlog/kblog/*
%{_kde5_includedir}/kblog_version.h
%dir %{_kde5_libdir}/cmake/KF5Blog
%{_kde5_libdir}/cmake/KF5Blog/KF5Blog*.cmake
%{_kde5_libdir}/libKF5Blog.so
%{_kde5_mkspecsdir}/qt_KBlog.pri

%changelog
* Fri Jan 12 2018 Automatic Build System <autodist@mambasoft.it> 17.12.1-1mamba
- automatic version update by autodist

* Tue Jan 02 2018 Automatic Build System <autodist@mambasoft.it> 17.12.0-1mamba
- automatic version update by autodist

* Sat Nov 11 2017 Automatic Build System <autodist@mambasoft.it> 17.08.3-1mamba
- automatic version update by autodist

* Fri Oct 13 2017 Automatic Build System <autodist@mambasoft.it> 17.08.2-1mamba
- automatic version update by autodist

* Fri Sep 08 2017 Automatic Build System <autodist@mambasoft.it> 17.08.1-1mamba
- automatic version update by autodist

* Sun Aug 27 2017 Automatic Build System <autodist@mambasoft.it> 17.08.0-1mamba
- automatic version update by autodist

* Fri Aug 04 2017 Automatic Build System <autodist@mambasoft.it> 17.04.3-1mamba
- automatic version update by autodist

* Mon Jun 26 2017 Automatic Build System <autodist@mambasoft.it> 17.04.2-1mamba
- automatic version update by autodist

* Fri Mar 10 2017 Automatic Build System <autodist@mambasoft.it> 16.12.3-1mamba
- automatic version update by autodist

* Fri Feb 10 2017 Automatic Build System <autodist@mambasoft.it> 16.12.2-1mamba
- automatic version update by autodist

* Mon Jan 16 2017 Automatic Build System <autodist@mambasoft.it> 16.12.1-1mamba
- automatic version update by autodist

* Mon Dec 26 2016 Automatic Build System <autodist@mambasoft.it> 16.12.0-1mamba
- automatic version update by autodist

* Fri Nov 11 2016 Automatic Build System <autodist@mambasoft.it> 16.08.3-1mamba
- automatic version update by autodist

* Fri Oct 14 2016 Automatic Build System <autodist@mambasoft.it> 16.08.2-1mamba
- automatic version update by autodist

* Fri Sep 09 2016 Automatic Build System <autodist@mambasoft.it> 16.08.1-1mamba
- automatic version update by autodist

* Sat Aug 27 2016 Automatic Build System <autodist@mambasoft.it> 16.08.0-1mamba
- automatic version update by autodist

* Tue Jul 12 2016 Automatic Build System <autodist@mambasoft.it> 16.04.3-1mamba
- automatic version update by autodist

* Wed Jun 15 2016 Automatic Build System <autodist@mambasoft.it> 16.04.2-1mamba
- automatic version update by autodist

* Sat May 28 2016 Automatic Build System <autodist@mambasoft.it> 16.04.1-1mamba
- automatic version update by autodist

* Wed Mar 16 2016 Automatic Build System <autodist@mambasoft.it> 15.12.3-1mamba
- automatic version update by autodist

* Tue Feb 16 2016 Automatic Build System <autodist@mambasoft.it> 15.12.2-1mamba
- automatic version update by autodist

* Sat Feb 06 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 15.12.1-1mamba
- package created using the webbuild interface
